# Gets test number state of the sender for the project.

Returns test number state of the sender for the project.

Endpoint: GET /v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

  - `senderId` (string, required)

  - `testNumber` (string, required)

## Response 200:

  - `200` (unknown)
    Test number state.

## Response 200 fields (application/json):

  - `number` (string, required)
    Test phone number.

  - `state` (string, required)
    Test phone state.
    Enum: "DECLINED", "INVALID", "PENDING", "REJECTED", "UNVERIFIED", "VERIFIED", "UNRECOGNIZED"

  - `submitted` (string, required)
    Date of submitting phone number.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: no_google_supplier

  - `message` (string)
    Human readable message.
    Example: No google supplier in sender.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the sender has google supplier.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_found

  - `message` (string)
    Human readable message.
    Example: Project not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the projectId is correct.

## Response 429:

  - `429` (unknown)
    TooManyRequests

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: rbm_too_many_requests

  - `message` (string)
    Human readable message.
    Example: RCS Business Messaging too many requests.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Test number state` (unknown)
    Test number state.

  - `[Deprecated] Test number state` (unknown)
    Test number state.

